Documentación
Gastos comunes
Periodos de gasto común y prorrateo por unidad.
type: gasto_comun EntitySet: GastosComunes
Scopes
comunidesk:readcomunidesk:write
Endpoints
GET /v1/rest/GastosComunes
Listar
Scopes: comunidesk:read
GET /v1/rest/GastosComunes/{id}
Obtener por id
Scopes: comunidesk:read
POST /v1/rest/GastosComunes
Crear
Scopes: comunidesk:write
PATCH /v1/rest/GastosComunes/{id}
Actualizar
Scopes: comunidesk:write
Ejemplo de request
curl -X GET 'https://gateway.comunidesk.com/v1/rest/GastosComunes' \
-H "Authorization: Bearer $OAUTH_TOKEN" \
-H "x-comunidesk-user-authorization: Bearer $USER_JWT"Campos de escritura
Campos aceptados en POST/PATCH.
| Campo | Tipo | Obligatorio | Enum |
|---|---|---|---|
| edificioId | string | Sí | |
| periodo | string | Sí | |
| fechaEmision | string | Sí | |
| fechaVencimiento | string | Sí | |
| montoBase | number | Sí | |
| items | array | Sí | |
| totalGeneral | number | Sí | |
| estado | string | No | borrador | emitido | cerrado |
Solo lectura: _id, _rev, type, createdAt, updatedAt
